DebianDSA-4019-1:imagemagick - セキュリティ更新

critical Nessus プラグイン ID 104403

概要

リモートのDebianホストにセキュリティ関連の更新プログラムがありません。

説明

この更新では、imagemagickの複数の脆弱性を修正しています:無効な形式のイメージファイルが処理される場合、さまざまなメモリ処理の問題があり、入力サニタイズが欠如しているか不完全であるならば、サービス拒否、メモリリーク、任意のコード実行が引き起こされる可能性があります。

ソリューション

imagemagickパッケージをアップグレードしてください。

安定版(stable)ディストリビューション(stretch)では、この問題はバージョン8:6.9.7.4+dfsg-11~deb9u2で修正されています。

関連情報

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870526

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870491

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870116

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870111

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870109

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870106

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870119

https://packages.debian.org/source/stretch/imagemagick

https://www.debian.org/security/2017/dsa-4019

プラグインの詳細

深刻度: Critical

ID: 104403

ファイル名: debian_DSA-4019.nasl

バージョン: 3.5

タイプ: local

エージェント: unix

公開日: 2017/11/6

更新日: 2021/1/4

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

リスクファクター: Critical

Base Score: 9.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:imagemagick, cpe:/o:debian:debian_linux:9.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

パッチ公開日: 2017/11/5

脆弱性公開日: 2017/6/7

参照情報

CVE: CVE-2017-11446, CVE-2017-11523, CVE-2017-11533, CVE-2017-11535, CVE-2017-11537, CVE-2017-11639, CVE-2017-11640, CVE-2017-12428, CVE-2017-12431, CVE-2017-12432, CVE-2017-12434, CVE-2017-12587, CVE-2017-12640, CVE-2017-12671, CVE-2017-13139, CVE-2017-13140, CVE-2017-13141, CVE-2017-13142, CVE-2017-13143, CVE-2017-13144, CVE-2017-13145, CVE-2017-9500

DSA: 4019